diff -pruN 3.0.0-5/debian/changelog 3.0.0-6/debian/changelog
--- 3.0.0-5/debian/changelog	2019-09-02 10:13:34.000000000 +0000
+++ 3.0.0-6/debian/changelog	2020-04-17 19:25:27.000000000 +0000
@@ -1,3 +1,14 @@
+chocolate-doom (3.0.0-6) unstable; urgency=medium
+
+  [ Jonathan Dowland ]
+  * Remove myself from Uploaders.
+
+  [ Fabian Greffrath ]
+  * Add patch from upstream to remove redundant "demoextend" definition,
+    fixes FTBFS with gcc-10 (Closes: #957085).
+
+ -- Fabian Greffrath <fabian@debian.org>  Fri, 17 Apr 2020 21:25:27 +0200
+
 chocolate-doom (3.0.0-5) unstable; urgency=medium
 
   * Team upload.
diff -pruN 3.0.0-5/debian/control 3.0.0-6/debian/control
--- 3.0.0-5/debian/control	2019-09-02 10:13:34.000000000 +0000
+++ 3.0.0-6/debian/control	2020-04-17 19:17:00.000000000 +0000
@@ -2,9 +2,7 @@ Source: chocolate-doom
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders:
- Jonathan Dowland <jmtd@debian.org>,
- Fabian Greffrath <fabian@debian.org>
+Uploaders: Fabian Greffrath <fabian@debian.org>
 Build-Depends:
  debhelper-compat (= 12),
  bash-completion,
diff -pruN 3.0.0-5/debian/patches/0001-Remove-redundant-demoextend-definition.patch 3.0.0-6/debian/patches/0001-Remove-redundant-demoextend-definition.patch
--- 3.0.0-5/debian/patches/0001-Remove-redundant-demoextend-definition.patch	1970-01-01 00:00:00.000000000 +0000
+++ 3.0.0-6/debian/patches/0001-Remove-redundant-demoextend-definition.patch	2020-04-17 19:23:57.000000000 +0000
@@ -0,0 +1,23 @@
+From a8fd4b1f563d24d4296c3e8225c8404e2724d4c2 Mon Sep 17 00:00:00 2001
+From: Jordan Christiansen <xordspar0@gmail.com>
+Date: Sun, 15 Mar 2020 16:55:33 -0500
+Subject: [PATCH] Remove redundant demoextend definition
+
+GCC 10 enables -fno-common by default, which causes the linker to fail when
+there are multple definitions of a global variable.
+
+See https://gcc.gnu.org/gcc-10/porting_to.html
+---
+ src/hexen/mn_menu.c | 1 -
+ 1 file changed, 1 deletion(-)
+
+--- a/src/hexen/mn_menu.c
++++ b/src/hexen/mn_menu.c
+@@ -131,7 +131,6 @@ boolean MenuActive;
+ int InfoType;
+ int messageson = true;
+ boolean mn_SuicideConsole;
+-boolean demoextend; // from h2def.h
+ 
+ // PRIVATE DATA DEFINITIONS ------------------------------------------------
+ 
diff -pruN 3.0.0-5/debian/patches/series 3.0.0-6/debian/patches/series
--- 3.0.0-5/debian/patches/series	2019-09-02 10:12:01.000000000 +0000
+++ 3.0.0-6/debian/patches/series	2020-04-17 19:23:50.000000000 +0000
@@ -18,3 +18,4 @@ build-with-python3.patch
 0018-hexen-Remove-test-code-mistakenly-added.patch
 0017-hexen-Fix-spelling-error.patch
 0001-bash-completion-Build-from-actual-shell-script-templ.patch
+0001-Remove-redundant-demoextend-definition.patch
